Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations

ChangeLoadBalancerBackendServer

ChangeLoadBalancerBackendServer

PUT/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendserver/actions

Operation ID

ChangeLoadBalancerBackendServer

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • serverGroupUuid
    StringRequired

    The UUID of the server group for load balancing.

Body Fields

  • vmNics
    List

    Optional. The VM NICs.

  • servers
    List

    Optional. The IP addresses of backend servers.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.